# NativePlatform

API Documentation: | `NativePlatform`

A target platform for building native binaries. Each target platform is given a name, and may optionally be given a specific `Architecture` and/or `OperatingSystem` to target.

        model {
            platforms {
                windows_x86 {
                    architecture "i386"
                    operatingSystem "windows"
                }
            }
        }

### Properties

Property | Description
`architecture` | The cpu architecture being targeted. Defaults to the default architecture produced by the tool chain.
`operatingSystem` | The operating system being targeted. Defaults to the default operating system targeted by the tool chain (normally the current operating system).

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `Architecture` `architecture` (read-only)

The cpu architecture being targeted. Defaults to the default architecture produced by the tool chain.

#### `OperatingSystem` `operatingSystem` (read-only)

The operating system being targeted. Defaults to the default operating system targeted by the tool chain (normally the current operating system).